> ## Documentation Index
> Fetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> List API keys with pagination



## OpenAPI

````yaml get /keys
openapi: 3.0.1
info:
  title: Jackal Pin API
  description: >-
    This is the API reference for Jackal Pin, an IPFS pinning service running on
    top of the Jackal Protocol, hosted by Jackal Labs.
  license:
    name: Apache 2.0
  version: 1.0.0
servers:
  - url: https://pinapi.jackalprotocol.com/api
security:
  - bearerAuth: []
paths:
  /keys:
    get:
      description: List API keys
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyList'
        '401':
          description: Unauthorized User
        '500':
          description: Query failure
components:
  schemas:
    KeyList:
      type: object
      properties:
        keys:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
        count:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````